ApiRangerServiceList (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiRangerServiceList

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiListBase
  - - com.cloudera.api.swagger.model.ApiRangerServiceList

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiRangerServiceList
      extends ApiListBase

  Holds information about local (#getServices()) and remote (#getRemoteServices()) services defined in Ranger.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRangerServiceList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRangerServiceList` | `addRemoteServicesItem(ApiRangerService remoteServicesItem)`
    `ApiRangerServiceList` | `addServicesItem(ApiRangerService servicesItem)`
    `boolean` | `equals(Object o)`
    `List<ApiRangerService>` | `getRemoteServices()` Get remoteServices
    `List<ApiRangerService>` | `getServices()` Get services
    `int` | `hashCode()`
    `ApiRangerServiceList` | `remoteServices(List<ApiRangerService> remoteServices)`
    `ApiRangerServiceList` | `services(List<ApiRangerService> services)`
    `void` | `setRemoteServices(List<ApiRangerService> remoteServices)`
    `void` | `setServices(List<ApiRangerService> services)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRangerServiceList

          public ApiRangerServiceList()

  - ### Method Detail

    - #### services

          public ApiRangerServiceList services(List<ApiRangerService> services)

    - #### addServicesItem

          public ApiRangerServiceList addServicesItem(ApiRangerService servicesItem)

    - #### getServices

          public List<ApiRangerService> getServices()

      Get services
      Returns:
        services

    - #### setServices

          public void setServices(List<ApiRangerService> services)

    - #### remoteServices

          public ApiRangerServiceList remoteServices(List<ApiRangerService> remoteServices)

    - #### addRemoteServicesItem

          public ApiRangerServiceList addRemoteServicesItem(ApiRangerService remoteServicesItem)

    - #### getRemoteServices

          public List<ApiRangerService> getRemoteServices()

      Get remoteServices
      Returns:
        remoteServices

    - #### setRemoteServices

          public void setRemoteServices(List<ApiRangerService> remoteServices)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ApiListBase`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ApiListBase`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ApiListBase`

Copyright © 2026. All rights reserved.